TelepathyQt4: Tp Namespace Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp Namespace Reference

## Namespaces

- namespace MethodInvocationContextTypes

## Classes

- class AbstractClient
    The AbstractClient class provides an object representing a Telepathy client. More...
- class AbstractClientObserver
    The AbstractClientObserver class provides an object representing a Telepathy observer. More...
- class AbstractClientApprover
    The AbstractClientApprover class provides an object representing a Telepathy approver. More...
- class AbstractClientHandler
    The AbstractClientHandler class provides an object representing a Telepathy handler. More...
- class AbstractInterface
- class AccountManager
    The AccountManager class provides an object representing a Telepathy account manager. More...
- class AccountSet
- class Account
    The Account class provides an object representing a Telepathy account. More...
- class CapabilitiesBase
    The CapabilitiesBase class provides an object representing the capabilities a Connection or a Contact supports. More...
- class ChannelDispatchOperation
    The ChannelDispatchOperation class provides an object representing a Telepathy channel dispatch operation. More...
- class ChannelFactory
- class ChannelRequest
    The ChannelRequest class provides an object representing a Telepathy channel request. More...
- class Channel
    The Channel class provides an object representing a Telepathy channel. More...
- class ClientRegistrar
    The ClientRegistrar class is responsible for registering Telepathy clients (Observer, Approver, Handler). More...
- class ConnectionCapabilities
    The ConnectionCapabilities class provides an object representing the capabilities of a Connection. More...
- class ProtocolParameter
- class ProtocolInfo
    Object representing a Telepathy protocol info. More...
- class ConnectionManager
    The ConnectionManager class provides an object representing a Telepathy connection manager. More...
- class Connection
    The Connection class provides an object representing a Telepathy connection. More...
- class ContactCapabilities
    The ContactCapabilities class provides an object representing the capabilities of a Contact. More...
- class ContactLocation
    The ContactLocation class provides an object representing the location of a Contact. More...
- class ContactManager
    The ContactManager class is responsible for managing contacts. More...
- class Contact
- class DBusProxy
- class StatelessDBusProxy
- class StatefulDBusProxy
- class Feature
- class Features
- class FileTransferChannelCreationProperties
- class FileTransferChannel
    The FileTransferChannel class provides an object representing a Telepathy channel of type FileTransfer. More...
- class IncomingFileTransferChannel
    The IncomingFileTransferChannel class provides an object representing a Telepathy channel of type FileTransfer for incoming file transfers. More...
- class KeyFile
    The KeyFile class provides an easy way to read key-pair files such as INI style files and .desktop files. More...
- class ManagerFile
    The ManagerFile class provides an easy way to read telepathy manager files according to http://telepathy.freedesktop.org/spec.html. More...
- class Message
    The Message class represents a Telepathy message in a text channel. These objects are implicitly shared, like QString. More...
- class ReceivedMessage
    The ReceivedMessage class is a subclass of Message, representing a received message. More...
- class MethodInvocationContext
- class OptionalInterfaceCache
- class OptionalInterfaceFactory
    Implementation helper class for high-level proxy classes willing to offer access to shared instances of interface proxies for optional interfaces. More...
- class OutgoingFileTransferChannel
    The OutgoingFileTransferChannel class provides an object representing a Telepathy channel of type FileTransfer for outgoing file transfers. More...
- class PendingAccount
    Class containing the parameters of and the reply to an asynchronous account request. More...
- class PendingChannelRequest
    Class containing the parameters of and the reply to an asynchronous ChannelRequest request. Instances of this class cannot be constructed directly; the only way to get one is trough Account. More...
- class PendingChannel
    Class containing the parameters of and the reply to an asynchronous channel request. Instances of this class cannot be constructed directly; the only way to get one is trough Connection. More...
- class PendingConnection
    Class containing the parameters of and the reply to an asynchronous connection request. Instances of this class cannot be constructed directly; the only way to get one is via ConnectionManager. More...
- class PendingContactAttributes
    Class containing the parameters of and the reply to an asynchronous request for raw contact attributes, as used in the Connection::contactAttributes() low-level convenience method wrapping the Client::ConnectionInterfaceContactsInterface::GetContactAttributes() D-Bus method. More...
- class PendingContactInfo
    Class containing the parameters of and the reply to an asynchronous contact info request. More...
- class PendingContacts
- class PendingHandles
    Class containing the parameters of and the reply to an asynchronous handle request/hold. Instances of this class cannot be constructed directly; the only way to get one is to use Connection::requestHandles() or Connection::referenceHandles(). More...
- class PendingOperation
    Abstract base class for pending asynchronous operations. More...
- class PendingReady
    Class containing the features requested and the reply to a request for an object to become ready. Instances of this class cannot be constructed directly; the only way to get one is via Object::becomeReady(). More...
- class PendingStringList
- class PendingVariant
- class ReadinessHelper
- class ReadyObject
- class ReferencedHandles
    Helper container for safe management of handle lifetimes. Every handle in a ReferencedHandles container is guaranteed to be valid (and stay valid, as long it's in at least one ReferencedHandles container). More...
- class RoomListChannel
- class WeakData
- class RefCounted
- class SharedPtr
- class WeakPtr
- class PendingSuccess
    A PendingOperation that is always successful. More...
- class PendingFailure
    A PendingOperation that always fails with the error passed to the constructor. More...
- class PendingVoid
    Generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting). More...
- class PendingComposite
- class PendingMediaStreams
    Class containing the result of an asynchronous media stream creation request. More...
- class MediaStream
    The MediaStream class provides an object representing a Telepathy media stream. More...
- class PendingMediaContent
- class MediaContent
    The MediaContent class provides an object representing a Telepathy media content. More...
- class StreamedMediaChannel
    The StreamedMediaChannel class provides an object representing a Telepathy channel of type StreamedMedia or Call. More...
- class PendingSendMessage
- class TextChannel
    The TextChannel class provides an object representing a Telepathy channel of type Text. More...
- class MethodInvocationContextPtr

## Typedefs

- typedef QList
  < ProtocolParameter * > ProtocolParameterList
- typedef QList< ProtocolInfo * > ProtocolInfoList
- typedef QSet< ContactPtr > Contacts
- typedef QListIterator< uint > ReferencedHandlesIterator
- typedef QList< MediaContentPtr > MediaContents
- typedef QList< MediaStreamPtr > MediaStreams
- typedef SharedPtr< AbstractClient > AbstractClientPtr
- typedef SharedPtr< Account > AccountPtr
- typedef SharedPtr< AccountSet > AccountSetPtr
- typedef SharedPtr< AccountManager > AccountManagerPtr
- typedef SharedPtr< Channel > ChannelPtr
- typedef SharedPtr
  < ChannelDispatchOperation > ChannelDispatchOperationPtr
- typedef SharedPtr< ChannelRequest > ChannelRequestPtr
- typedef SharedPtr< ClientObject > ClientObjectPtr
- typedef SharedPtr
  < ClientRegistrar > ClientRegistrarPtr
- typedef SharedPtr< Connection > ConnectionPtr
- typedef SharedPtr
  < ConnectionManager > ConnectionManagerPtr
- typedef QSharedPointer< Contact > ContactPtr
- typedef SharedPtr
  < FileTransferChannel > FileTransferChannelPtr
- typedef SharedPtr
  < IncomingFileTransferChannel > IncomingFileTransferChannelPtr
- typedef SharedPtr
  < OutgoingFileTransferChannel > OutgoingFileTransferChannelPtr
- typedef SharedPtr
  < RoomListChannel > RoomListChannelPtr
- typedef SharedPtr< MediaContent > MediaContentPtr
- typedef SharedPtr< MediaStream > MediaStreamPtr
- typedef SharedPtr
  < StreamedMediaChannel > StreamedMediaChannelPtr
- typedef SharedPtr< TextChannel > TextChannelPtr

## Functions

- uint qHash (const ContactPtr &contact)
- void enableDebug (bool enable)
- void enableWarnings (bool enable)
- QDebug enabledDebug ()
- QDebug enabledWarning ()
- TfChannel * createFarsightChannel (const StreamedMediaChannelPtr &channel)
- Features operator| (const Feature &feature1, const Feature &feature2)
- void registerTypes ()
- bool operator== (const SUSocketAddress &v1, const SUSocketAddress &v2)
- QDBusArgument & operator<< (QDBusArgument &arg, const SUSocketAddress &val)
- const QDBusArgument & operator>> (const QDBusArgument &arg, SUSocketAddress &val)

## Typedef Documentation

typedef QList<ProtocolParameter*> Tp::ProtocolParameterList

typedef QList<ProtocolInfo*> Tp::ProtocolInfoList

typedef QSet<ContactPtr> Tp::Contacts

typedef QListIterator<uint> Tp::ReferencedHandlesIterator

typedef QList<MediaContentPtr> Tp::MediaContents

typedef QList<MediaStreamPtr> Tp::MediaStreams

typedef SharedPtr<AbstractClient> Tp::AbstractClientPtr

typedef SharedPtr<Account> Tp::AccountPtr

typedef SharedPtr<AccountSet> Tp::AccountSetPtr

typedef SharedPtr<AccountManager> Tp::AccountManagerPtr

typedef SharedPtr<Channel> Tp::ChannelPtr

typedef SharedPtr<ChannelDispatchOperation> Tp::ChannelDispatchOperationPtr

typedef SharedPtr<ChannelRequest> Tp::ChannelRequestPtr

typedef SharedPtr<ClientObject> Tp::ClientObjectPtr

typedef SharedPtr<ClientRegistrar> Tp::ClientRegistrarPtr

typedef SharedPtr<Connection> Tp::ConnectionPtr

typedef SharedPtr<ConnectionManager> Tp::ConnectionManagerPtr

typedef QSharedPointer<Contact> Tp::ContactPtr

typedef SharedPtr<FileTransferChannel> Tp::FileTransferChannelPtr

typedef SharedPtr<IncomingFileTransferChannel> Tp::IncomingFileTransferChannelPtr

typedef SharedPtr<OutgoingFileTransferChannel> Tp::OutgoingFileTransferChannelPtr

typedef SharedPtr<RoomListChannel> Tp::RoomListChannelPtr

typedef SharedPtr<MediaContent> Tp::MediaContentPtr

typedef SharedPtr<MediaStream> Tp::MediaStreamPtr

typedef SharedPtr<StreamedMediaChannel> Tp::StreamedMediaChannelPtr

typedef SharedPtr<TextChannel> Tp::TextChannelPtr

## Function Documentation

uint Tp::qHash | ( | const ContactPtr & | contact | ) | `[inline]`

QDebug Tp::enabledDebug | ( |  | ) |

QDebug Tp::enabledWarning | ( |  | ) |

TELEPATHY_QT4_FS_EXPORT TfChannel * Tp::createFarsightChannel | ( | const StreamedMediaChannelPtr & | channel | ) |

Features Tp::operator| | ( | const Feature & | feature1,
|  | const Feature & | feature2 |
| ) |  |  | `[inline]`

void Tp::registerTypes | ( |  | ) |

\ingroup types

Register the types used by the library with the QtDBus type system.

Call this function to register the types used before using anything else in the library.

bool Tp::operator== | ( | const SUSocketAddress & | v1,
|  | const SUSocketAddress & | v2 |
| ) |  |  |

QDBusArgument& Tp::operator<< | ( | QDBusArgument & | arg,
|  | const SUSocketAddress & | val |
| ) |  |  |

const QDBusArgument& Tp::operator>> | ( | const QDBusArgument & | arg,
|  | SUSocketAddress & | val |
| ) |  |  |